#
# spec file for package perl-Wx-Scintilla (Version 0.39)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Wx-Scintilla
Name:           perl-Wx-Scintilla
Version:        0.39
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Scintilla source code editing for wxWidgets
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         https://cpan.metacpan.org/authors/id/A/AZ/AZAWAWI/%{cpan_name}-%{version}.tar.gz
Source1:     cpanspec.yml
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Alien::wxWidgets)
BuildRequires:  perl(ExtUtils::XSpp)
BuildRequires:  perl(Module::Build) >= 0.360000
BuildRequires:  perl(Wx)
BuildRequires:  gcc
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  gtk4-devel
BuildRequires:  make
BuildRequires:  perl(FindBin)
BuildRequires:  wxBase-devel
BuildRequires:  wxGTK-devel
%{?perl_requires}
# MANUAL BEGIN
%define debug_package %{nil}
# MANUAL END

%description
While we already have a good scintilla editor component support via
Wx::StyledTextCtrl in Perl, we already suffer from an older scintilla
package and thus lagging Perl support in the popular Wx Scintilla
component. wxWidgets http://wxwidgets.org has a *very slow* release
timeline. Scintilla is a contributed project which means it will not be the

scintilla front, the Perl 5 lexer is not 100% bug free even and we do not
have any kind of Perl 6 support in Scintilla.

The ambitious goal of this project is to provide fresh Perl 5 and maybe 6
support in Wx while preserving compatibility with Wx::StyledTextCtrl and
continually contribute it back to Scintilla project.

Note: You cannot load Wx::STC and Wx::Scintilla in the same application.
They are mutually exclusive. The wxSTC_... events are handled by one
library or the other.

Scintilla 2.28 is now bundled and enabled by default.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1


%build
perl Build.PL --installdirs=vendor optimize="%{optflags}"
./Build build --flags=%{?_smp_mflags}

%check


%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist




%files -f %{name}.files
%doc Changes README Scintilla_README wx_typemap wx_typemap.xsp


%changelog
